com.amazon.redshift.core

## Class SqlCommand

- java.lang.Object
- - com.amazon.redshift.core.SqlCommand

    public class SqlCommand
    extends Object

Data Modification Language inspection support.

Author:
  Jeremy Whiting jwhiting@redhat.com, Christopher Deckers (chrriis@gmail.com)

### Field Summary

Fields
`static SqlCommand` `BLANK`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SqlCommand` `createStatementTypeInfo(SqlCommandType type)`
`static SqlCommand` `createStatementTypeInfo(SqlCommandType type, boolean isRETURNINGkeywordPresent)`
`static SqlCommand` `createStatementTypeInfo(SqlCommandType type, boolean isBatchedReWritePropertyConfigured, int valuesBraceOpenPosition, int valuesBraceClosePosition, boolean isRETURNINGkeywordPresent, int priorQueryCount)`
`int` `getBatchRewriteValuesBraceClosePosition()`
`int` `getBatchRewriteValuesBraceOpenPosition()`
`SqlCommandType` `getType()`
`boolean` `isBatchedReWriteCompatible()`
`boolean` `isReturningKeywordPresent()`
`boolean` `returnsRows()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BLANK

    public static final SqlCommand BLANK

### Method Detail

#### isBatchedReWriteCompatible

    public boolean isBatchedReWriteCompatible()

#### getBatchRewriteValuesBraceOpenPosition

    public int getBatchRewriteValuesBraceOpenPosition()

#### getBatchRewriteValuesBraceClosePosition

    public int getBatchRewriteValuesBraceClosePosition()

#### getType

    public SqlCommandType getType()

#### isReturningKeywordPresent

    public boolean isReturningKeywordPresent()

#### returnsRows

    public boolean returnsRows()

#### createStatementTypeInfo

    public static SqlCommand createStatementTypeInfo(SqlCommandType type,
                                                     boolean isBatchedReWritePropertyConfigured,
                                                     int valuesBraceOpenPosition,
                                                     int valuesBraceClosePosition,
                                                     boolean isRETURNINGkeywordPresent,
                                                     int priorQueryCount)

#### createStatementTypeInfo

    public static SqlCommand createStatementTypeInfo(SqlCommandType type)

#### createStatementTypeInfo

    public static SqlCommand createStatementTypeInfo(SqlCommandType type,
                                                     boolean isRETURNINGkeywordPresent)